Bienvenido(a) a Alcance Libre 29/11/2022, 18:33

Alcance Libre Foros

 Índice del foro > Todo acerca de Linux > Programas y Aplicaciones New Topic Post Reply
 yum install php
Tópico anterior Tópico siguiente
   
juanlop89
 08/22/14 12:36PM (Leído 2,800 veces)  

Nuevo

Estado: desconectado
Forum User

Identificado: 08/22/14
Mensajes: 2
Buen día,

Necesito ayuda con un problema que tengo al tratar de actualizar php en Centos 6.5, quiero actualizarlo a la versión 5.4 ya que así me lo requiere Moodle 2.7, este es el erro que me sale:

[root@moodle ~]# yum install php
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again


en espera de su ayuda,

saludos,
 
Profile Email
 Quote
Joel Barrios Dueñas
 08/23/14 09:02AM  

Admin

Estado: desconectado
Site Admin

Identificado: 02/17/07
Mensajes: 1761
Localización:Mexico
Tienes mal configurado el almacén YUM de EPEL. Por favor revisa el archivo correspondiente en /etc/yum.repos.d/.

Sugiero mejor instales CentOS 7. Ese trae PHP 5.4 sin añadir más.
 
Profile Email Website
 Quote
juanlop89
 08/25/14 09:45AM  

Nuevo

Estado: desconectado
Forum User

Identificado: 08/22/14
Mensajes: 2
Buen día, ya pude pasar de ese error, segun los pasos que me dieron para instalar Moodle ya los realicé, pero me genera el siguiente error al intentar ingresar por el explorador: Error: database driver problem detected The site administrator should verify server configuration PHP has not been properly configured with the MySQLi extension so that it can communicate with MySQL. Please check your php.ini file or recompile PHP. MySQLi extension is not available for PHP 4.
 
Profile Email
 Quote
Joel Barrios Dueñas
 08/28/14 02:59PM  

Admin

Estado: desconectado
Site Admin

Identificado: 02/17/07
Mensajes: 1761
Localización:Mexico
El error indica que no tienes instalado el soporte para MySQL para esa versión de PHP.

PHP Formatted Code
yum -y install php-mysql && service httpd restart


O bien:

PHP Formatted Code
yum -y install php54-mysql && service httpd restart


Nuevamente: Sugiero mejor instales CentOS 7. Usa PHP 5.4 de modo predeterminado.
 
Profile Email Website
 Quote
Contenido generado en: 0.18 segundos New Topic Post Reply
 Todas las horas son CST. Hora actual 06:33 PM.
Tópico normal Tópico normal
Tópico Pegado Tópico Pegado
Tópico bloqueado Tópico bloqueado
Mensaje Nuevo Mensaje Nuevo
Tópico pegado con nuevo mensaje Tópico pegado con nuevo mensaje
Tópico bloqueado con nuevo mensaje Tópico bloqueado con nuevo mensaje
Ver mensajes anónimos 
Los usuarios anónimos pueden enviar 
Se permite HTML Filtrado 
Contenido censurado